
Ruby - Bug #7534

/(?i:[\W])/ and /(?i:[\w])/ both match "s"

12/08/2012 03:10 PM - hasari (Hiro Asari)

Status: Closed   

Priority: Normal   

Assignee:    

Target version:    

ruby -v: ruby 2.0.0dev (2012-12-08 trunk 38268)

[x86_64-darwin12.2.1]

Backport:  

Description

If you drop any of the 3 conditions - case-insensitivity, character class, or "s" - this bug does not happen.

See https://gist.github.com/4238886

Related issues:

Is duplicate of Ruby - Bug #7533: Oniguruma hates the letter 's' :( Closed 12/08/2012

Is duplicate of Ruby - Bug #4044: Regex matching errors when using \W charact... Closed

History

#1 - 12/08/2012 03:12 PM - hasari (Hiro Asari)

This was reported by Ian Leitch. https://twitter.com/ileitch/status/277234777118093314 (https://gist.github.com/4236706)

#2 - 12/08/2012 03:13 PM - Anonymous

Related to #7533

#3 - 12/08/2012 05:19 PM - phasis68 (Heesob Park)

As far as I can remember, this issue is two years old.

Refer to #4044

#4 - 12/08/2012 10:59 PM - hasari (Hiro Asari)

Indeed, this is a duplicate of #4044. My apologies. Please close this one. Thank you.

#5 - 12/08/2012 11:10 PM - vo.x (Vit Ondruch)

- Status changed from Open to Closed
